version: "3.9"

services:
  openclaude-api:
    build: .
    container_name: openclaude-api
    expose:
      - "3000"
      - "5000"
      - "8000"
    # ports:
    #   - "3000:3000"
    environment:
      CLAUDE_CODE_USE_OPENAI: "1"
      OPENAI_API_KEY: "sk-6ca6e038ba854f43ab7198ea2f885488"
      OPENAI_BASE_URL: "https://api.deepseek.com/v1"
      OPENAI_MODEL: "deepseek-chat"